.product-thumbs {
  margin-right: -5px;
  margin-left: -5px;
}
.product-thumbs__elem {
  padding: 0 5px;
  cursor: pointer;
  opacity: 0.3;
  transition: 0.3s ease opacity;
  flex: 0 0 33.33333333%;
  max-width: 33.33333333%;
}
.product-thumbs__elem:focus, .product-thumbs__elem:hover {
  opacity: 0.6;
}
.product-thumbs__elem.swiper-slide-thumb-active {
  opacity: 1;
}
@media (min-width: 576px) {
  .product-thumbs__elem {
    flex: 0 0 25%;
    max-width: 25%;
  }
}

.product-thumbs {
  display: none;
}
@media (min-width: 992px) {
  .product-thumbs {
    margin: 20px 0;
    display: block;
    order: -1;
    width: 13.7%;
    z-index: 10;
  }
}
.product-thumbs .swiper-slide {
  padding: 5px;
}

.swiper-rows {
  background-color: transparent;
  position: absolute;
  top: 0;
  left: -5px;
  height: 100%;
  pointer-events: none;
  display: none;
}
@media (min-width: 992px) {
  .swiper-rows {
    display: block;
    width: 15%;
    z-index: 10;
  }
}
.swiper-rows__prev, .swiper-rows__next {
  pointer-events: all;
  position: absolute;
  transform: translateX(-50%);
  left: 50%;
}
@media (min-width: 992px) {
  .swiper-rows__next {
    bottom: 0;
    margin: 0;
  }
}
@media (min-width: 992px) {
  .swiper-rows__prev {
    top: 0;
    margin: 0;
  }
}

@media (min-width: 992px) {
  .js-product-images {
    display: flex;
  }
}

.product-container {
  /*margin-bottom: 50px;
  @media (min-width: 992px) {
    margin-bottom: 70px;
  }*/
}
@media (min-width: 992px) {
  .product-container {
    margin-bottom: 40px;
  }
}
@media (min-width: 992px) {
  .product-container .product-flags--with-thumbnails {
    left: 20%;
  }
}
.product-container .product-main-images {
  position: relative;
  width: 100%;
}
@media (min-width: 992px) {
  .product-container .product-main-images--multi-images {
    margin-left: 5%;
    width: 75%;
  }
}
.product-container .product-main-images__modal-trigger-layer {
  position: absolute;
  right: 10px;
  bottom: 10px;
  z-index: 2;
  width: 1.6em;
  height: 1.6em;
  padding: 0;
  line-height: 1.6em;
  border: 0;
  border-radius: 50%;
  font-size: 1.25rem;
}
@media (max-width: 992px) {
  .product-container .product-main-images__modal-trigger-layer {
    font-size: calc(0.85rem + 0.6451612903vw);
  }
}
.product-container .product-main-images .swiper-button-prev,
.product-container .product-main-images .swiper-button-next {
  display: block;
}
@media (min-width: 992px) {
  .product-container .product-main-images .swiper-button-prev,
  .product-container .product-main-images .swiper-button-next {
    display: none;
  }
}
.product-container .product-after-image .product-btn {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
}
@media (min-width: 992px) {
  .product-container .product-after-image .product-btn {
    padding-left: 25%;
  }
}
.product-container .product-after-image .product-btn__item {
  margin: 5px 12px;
}
.product-container .product-after-image .product-btn a {
  color: #58B9E4;
}
.product-container .product-after-image .page-product-box {
  margin-top: 40px;
  /*display: none;
  @media (min-width: 992px) {
    display: block;
  }*/
}
.product-container .position-relative--no-thumb .product-main-images {
  width: 100%;
}
.product-container .position-relative--no-thumb .product-after-image {
  padding-left: 0;
}
.product-container .position-relative--no-thumb .product-flags {
  left: 0;
}

.swiper-button-prev,
.swiper-button-next {
  pointer-events: all;
  background-image: none !important;
  background-color: white;
  color: #58B9E4;
  top: 50%;
  transform: translateY(-50%) rotate(-90deg);
}

#product-modal .swiper-button-prev,
#product-modal .swiper-button-next {
  transform: translateY(-50%) rotate(0);
  color: #1D1D1D;
}

.product-customization {
  margin: 40px 0;
}
.product-customization .product-customization-item {
  margin: 20px 0;
}
.product-customization .product-message {
  width: 100%;
  height: 3.125rem;
  padding: 0.625rem;
  resize: none;
  background: #f4f7f8;
  border: none;
}
.product-customization .product-message:focus {
  background-color: #fff;
  outline: 0.1875rem solid #58B9E4;
}
.product-customization .file-input {
  position: absolute;
  left: 0;
  z-index: 1;
  width: 100%;
  height: 2.625rem;
  overflow: hidden;
  cursor: pointer;
  opacity: 0;
}
.product-customization .customization-message {
  margin-top: 20px;
}
.product-customization .custom-file {
  position: relative;
  display: block;
  width: 100%;
  height: 2.625rem;
  margin-top: 20px;
  line-height: 2.625rem;
  color: #6c757d;
  text-indent: 0.625rem;
  background: #f4f7f8;
}
.product-customization .custom-file button {
  position: absolute;
  top: 0;
  right: 0;
  z-index: 0;
}
.product-customization small {
  color: #6c757d;
}

.custom-select {
  border-radius: 0;
  border-color: #1D1D1D;
}

.product-manufacturer img {
  max-width: 120px;
  margin-bottom: 20px;
}

.attribute-radio__label {
  position: relative;
  margin: 0;
}
.attribute-radio__input {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100%;
  cursor: pointer;
  opacity: 0;
}
.attribute-radio__input:checked ~ .attribute-radio__text {
  color: #fff;
  background-color: #58B9E4;
  border-color: #58B9E4;
}
.attribute-radio__text {
  display: block;
  min-width: 2.1875rem;
  padding: 5px 10px;
  font-size: 0.812rem;
  font-weight: 700;
  text-align: center;
  border: 1px solid #dfe9ea;
  border-radius: 0.4rem;
}
